Bug 430931 - Review Request: kate-ctags-plugin - Plugin for Kate editor to use ctags
Review Request: kate-ctags-plugin - Plugin for Kate editor to use ctags
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-30 12:40 EST by Kai Engert (:kaie)
Modified: 2008-03-16 12:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-16 12:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kai Engert (:kaie) 2008-01-30 12:40:51 EST
Spec URL: http://kuix.de/fedora/kate-ctags-plugin-rpm/kate-ctags-plugin.spec
SRPM URL: http://kuix.de/fedora/kate-ctags-plugin-rpm/kate-ctags-plugin-0.2-1.fc8.src.rpm
Package found here: http://kde-apps.org/content/show.php/Kate+CTags+Plugin?content=47743
I use it locally and it works fine.
The packaging effort was really minimal.
Comment 1 Jason Tibbitts 2008-02-02 13:01:58 EST
Minimal, perhaps, but unfortunately it doesn't build for me in rawhide:

checking for kde-config... not found
configure: error: The important program kde-config was not found!
Please check whether you installed KDE correctly.

I believe that you need a build dependency on kdelibs3, but you should also make
sure this works properly with kde4.  And even after fixing the build dependency,
I find that this package wants to regenerate the autoconf stuff and fails
because aclocal and automake are not installed.
Comment 2 Jason Tibbitts 2008-02-22 19:17:05 EST
Any chance of getting a package which builds properly?
Comment 3 Jason Tibbitts 2008-03-02 13:46:53 EST
No response to comments in a month; setting needinfo.  I will close in one week
if there is no response.

Comment 4 Kai Engert (:kaie) 2008-03-10 12:45:17 EDT
Sorry Sorry I have been very busy, and this was not a priority.

I promise to get this done this week, I need to get mock installed (again).
Comment 5 Kai Engert (:kaie) 2008-03-16 12:10:05 EDT
While I was able to get it to successfully build with KDE 3 on Fedora 8 in mock,
I failed to get it to build with KDE 4 on Rawhide.

I'm closing as CANTFIX.

I might reopen should I see that upstream supports KDE 4.

Note You need to log in before you can comment on or make changes to this bug.